diff -Nurd -x'*~' pango-1.10.1.orig/Makefile.in pango-1.10.1/Makefile.in
--- pango-1.10.1.orig/Makefile.in	2005-10-03 09:12:52.000000000 -0400
+++ pango-1.10.1/Makefile.in	2005-11-29 17:46:38.000000000 -0500
@@ -253,7 +253,7 @@
 
 AUTOMAKE_OPTIONS = 1.7
 
-SUBDIRS = pango modules examples docs tools tests
+SUBDIRS = pango modules          docs tools tests
 
 EXTRA_DIST = \
 	pango.pc.in		\
diff -Nurd -x'*~' pango-1.10.1.orig/configure pango-1.10.1/configure
--- pango-1.10.1.orig/configure	2005-10-03 09:12:55.000000000 -0400
+++ pango-1.10.1/configure	2005-11-29 18:05:22.000000000 -0500
@@ -22202,51 +22202,8 @@
 
 
 pkg_failed=no
-echo "$as_me:$LINENO: checking for CAIRO" >&5
-echo $ECHO_N "checking for CAIRO... $ECHO_C" >&6
-
-if test -n "$PKG_CONFIG"; then
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"cairo >= 0.5.2-head\"") >&5
-  ($PKG_CONFIG --exists --print-errors "cairo >= 0.5.2-head") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_CAIRO_CFLAGS=`$PKG_CONFIG --cflags "cairo >= 0.5.2-head" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
-else
-	pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"cairo >= 0.5.2-head\"") >&5
-  ($PKG_CONFIG --exists --print-errors "cairo >= 0.5.2-head") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_CAIRO_LIBS=`$PKG_CONFIG --libs "cairo >= 0.5.2-head" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
-else
-	pkg_failed=untried
-fi
-
-if test $pkg_failed = yes; then
-	CAIRO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "cairo >= 0.5.2-head"`
-	# Put the nasty error message in config.log where it belongs
-	echo "$CAIRO_PKG_ERRORS" 1>&5
-
-	:
-elif test $pkg_failed = untried; then
-	:
-else
-	CAIRO_CFLAGS=$pkg_cv_CAIRO_CFLAGS
-	CAIRO_LIBS=$pkg_cv_CAIRO_LIBS
-	have_cairo=true
-fi
+echo "$as_me:$LINENO: avoiding CAIRO" >&5
+echo "avoiding cairo" >&6
 
 if $have_cairo ; then
   pango_save_ldflags=$LDFLAGS
diff -Nurd -x'*~' pango-1.10.0.orig/docs/Makefile.in pango-1.10.0/docs/Makefile.in
--- pango-1.10.0.orig/docs/Makefile.in	2005-08-15 19:11:32.000000000 -0400
+++ pango-1.10.0/docs/Makefile.in	2005-08-15 22:25:48.000000000 -0400
@@ -302,8 +302,8 @@
 	-I$(top_srcdir)		\
 	$(CAIRO_CFLAGS)		\
 	$(GLIB_CFLAGS)		\
-	$(XFT_CFLAGS)		\
 	$(FREETYPE_CFLAGS)	\
+	$(XFT_CFLAGS)		\
 	$(X_CFLAGS)
 
 
diff -Nurd -x'*~' pango-1.10.1.orig/docs/pango-querymodules.1 pango-1.10.1/docs/pango-querymodules.1
--- pango-1.10.1.orig/docs/pango-querymodules.1	2005-10-03 09:15:30.000000000 -0400
+++ pango-1.10.1/docs/pango-querymodules.1	2005-11-29 17:50:06.000000000 -0500
@@ -40,7 +40,7 @@
 .SH "ENVIRONMENT"
 
 .PP
-The Pango module path is specified by the key Pango/ModulesPath in the Pango config database, which is read from \fI\fIsysconfdir\fR/pango/pangorc\fR, \fI~/\&.pangorc\fR and the file specified in the environment variable \fBPANGO_RC_FILE\fR\&.
+The Pango module path is specified by the key Pango/ModulesPath in the Pango config database, which is read from \fI@SYSCONFDIR@/pango/pangorc\fR, \fI~/\&.pangorc\fR and the file specified in the environment variable \fBPANGO_RC_FILE\fR\&.
 
 .SH "BUGS"
 
diff -Nurd -x'*~' pango-1.10.1.orig/ltmain.sh pango-1.10.1/ltmain.sh
--- pango-1.10.1.orig/ltmain.sh	2005-09-14 11:00:12.000000000 -0400
+++ pango-1.10.1/ltmain.sh	2005-11-29 17:55:11.000000000 -0500
@@ -5360,10 +5360,6 @@
 
 # Directory that this library needs to be installed in:
 libdir='$install_libdir'"
-	  if test "$installed" = no && test "$need_relink" = yes; then
-	    $echo >> $output "\
-relink_command=\"$relink_command\""
-	  fi
 	done
       fi
 
diff -Nurd -x'*~' pango-1.10.1.orig/pango/Makefile.in pango-1.10.1/pango/Makefile.in
--- pango-1.10.1.orig/pango/Makefile.in	2005-10-03 09:12:54.000000000 -0400
+++ pango-1.10.1/pango/Makefile.in	2005-11-29 18:59:48.000000000 -0500
@@ -295,9 +295,9 @@
 	-DG_DISABLE_DEPRECATED				\
 	$(PANGO_DEBUG_FLAGS)				\
 	$(GLIB_CFLAGS)					\
-	$(XFT_CFLAGS)					\
 	$(CAIRO_CFLAGS)					\
 	$(FREETYPE_CFLAGS)				\
+	$(XFT_CFLAGS)					\
 	$(X_CFLAGS)					\
 	-I$(top_srcdir)
 
@@ -412,7 +412,7 @@
 
 
 libpangoxft_1_0_la_LDFLAGS = $(LIBRARY_LIBTOOL_OPTIONS)
-libpangoxft_1_0_la_LIBADD = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la $(XFT_LIBS) $(GLIB_LIBS)
+libpangoxft_1_0_la_LIBADD = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la $(XFT_LIBS) $(GLIB_LIBS) $(X_LIBS)
 libpangoxft_1_0_la_DEPENDENCIES = libpangoft2-$(PANGO_API_VERSION).la libpango-$(PANGO_API_VERSION).la
 
 libpangoxft_1_0_la_SOURCES = \
diff -Nurd -x'*~' pango-1.10.0.orig/tests/Makefile.in pango-1.10.0/tests/Makefile.in
--- pango-1.10.0.orig/tests/Makefile.in	2005-08-15 19:11:35.000000000 -0400
+++ pango-1.10.0/tests/Makefile.in	2005-08-15 22:31:32.000000000 -0400
@@ -254,8 +254,8 @@
 	-I$(top_srcdir)				\
 	$(GLIB_CFLAGS)				\
 	$(CAIRO_CFLAGS)				\
-	$(XFT_CFLAGS)				\
 	$(FREETYPE_CFLAGS)			\
+	$(XFT_CFLAGS)				\
 	$(X_CFLAGS)				\
 	-DG_DISABLE_DEPRECATED			\
 	$(PANGO_DEBUG_FLAGS)\
diff -Nurd -x'*~' pango-1.10.1.orig/update-pango-modules pango-1.10.1/update-pango-modules
--- pango-1.10.1.orig/update-pango-modules	1969-12-31 19:00:00.000000000 -0500
+++ pango-1.10.1/update-pango-modules	2005-11-29 17:51:24.000000000 -0500
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# update-pango-modules
+#
+#   Packages which install pango module(s) should call update-pango-modules
+#   in their PostInstScript and PostRmScript to update the pango.module file.
+#
+
+CONFDIR=@SYSCONFDIR@/pango
+CONFFILE=$CONFDIR/pango.modules
+
+mkdir -p $CONFDIR
+
+TMPFILE=`tempfile`
+pango-querymodules >$TMPFILE
+
+mv -f $TMPFILE $CONFFILE
+chmod 0644 $CONFFILE
+
+exit 0
